gr::radar::print_results_impl Class Reference

`#include <print_results_impl.h>`

Inheritance diagram for gr::radar::print_results_impl:

## Public Member Functions

| print_results_impl (bool store_msg, const std::string filename)
| ~print_results_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

pmt::pmt_t | d_port_id_in
size_t | d_size_msg
size_t | d_size_part
pmt::pmt_t | d_msg_part
std::ofstream | d_file
std::string | d_filename
bool | d_store_msg

## Additional Inherited Members

Public Types inherited from gr::radar::print_results
typedef std::shared_ptr< print_results > | sptr
Static Public Member Functions inherited from gr::radar::print_results
static sptr | make (bool store_msg=false, const std::string filename="")
| Return a shared_ptr to a new instance of radar::print_results.

## Constructor & Destructor Documentation

## print_results_impl()

gr::radar::print_results_impl::print_results_impl | ( | bool | store_msg,
|  | const std::string | filename )

## ~print_results_impl()

gr::radar::print_results_impl::~print_results_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::print_results_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## d_file

std::ofstream gr::radar::print_results_impl::d_file

## d_filename

std::string gr::radar::print_results_impl::d_filename

## d_msg_part

pmt::pmt_t gr::radar::print_results_impl::d_msg_part

## d_port_id_in

pmt::pmt_t gr::radar::print_results_impl::d_port_id_in

## d_size_msg

size_t gr::radar::print_results_impl::d_size_msg

## d_size_part

size_t gr::radar::print_results_impl::d_size_part

## d_store_msg

bool gr::radar::print_results_impl::d_store_msg

The documentation for this class was generated from the following file:

- print_results_impl.h